> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single shipment attribute definition

> Retrieves a specific shipment attribute definition by its fully qualified name. Requires Order Read or Order Ship permissions.



## OpenAPI

````yaml /openapi/openapi_fulfillment.json get /commerce/shipments/attributedefinition/attributes/{attributeFQN}
openapi: 3.0.0
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentHold
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/shipments/attributedefinition/attributes/{attributeFQN}:
    get:
      tags:
        - ShipmentAttributeDefinition
      summary: Get single shipment attribute definition
      description: >-
        Retrieves a specific shipment attribute definition by its fully
        qualified name. Requires Order Read or Order Ship permissions.
      parameters:
        - description: Fully qualified name of the attribute
          example: shipment.customField1
          in: path
          name: attributeFQN
          required: true
          schema:
            type: string
        - allowEmptyValue: false
          description: Specific fields to include in response
          in: query
          name: responseFields
          required: false
          schema:
            type: string
        - allowEmptyValue: false
          description: Response groups for selective field inclusion
          in: query
          name: responseGroups
          required: false
          schema:
            type: string
        - in: header
          name: x-vol-site
          required: false
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/FulfillmentAPIAttribute'
            application/json:
              schema:
                $ref: '#/components/schemas/FulfillmentAPIAttribute'
            application/xml:
              schema:
                $ref: '#/components/schemas/FulfillmentAPIAttribute'
          description: Successfully retrieved attribute
        '400':
          description: Invalid attribute FQN
        '401':
          description: Unauthorized - authentication required
        '403':
          description: >-
            Forbidden - insufficient permissions (requires Order Read or Order
            Ship)
        '404':
          description: Attribute not found
        '500':
          description: Internal server error
      deprecated: false
components:
  schemas:
    FulfillmentAPIAttribute:
      properties:
        adminName:
          type: string
        attributeCode:
          type: string
        attributeFQN:
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/FulfillmentAPIAttributeMetadataItem'
          type: array
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAPICoreApiContractsAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        content:
          $ref: '#/components/schemas/FulfillmentAPIAttributeLocalizedContent'
        dataType:
          type: string
        displayGroup:
          type: string
        entityConfigs:
          items:
            $ref: '#/components/schemas/FulfillmentAPIAttributeEntityConfig'
          type: array
        id:
          format: int32
          type: integer
        inheritanceRules:
          items:
            $ref: '#/components/schemas/FulfillmentAPIAttributeInheritanceRule'
          type: array
        inputType:
          type: string
        isActive:
          type: boolean
        isMultiValued:
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          type: boolean
        isVisible:
          type: boolean
        namespace:
          type: string
        order:
          format: int32
          type: integer
        validation:
          $ref: '#/components/schemas/FulfillmentAPIAttributeValidation'
        valueType:
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/FulfillmentAPIAttributeVocabularyValue'
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      title: Attribute
      type: object
    FulfillmentAPIAttributeMetadataItem:
      properties:
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
      title: AttributeMetadataItem
      type: object
    FulfillmentAPICoreApiContractsAuditInfo:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: CoreApiContractsAuditInfo
      type: object
    FulfillmentAPIAttributeLocalizedContent:
      properties:
        localeCode:
          type: string
        value:
          type: string
      title: AttributeLocalizedContent
      type: object
    FulfillmentAPIAttributeEntityConfig:
      properties:
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAPICoreAuditInfo'
        editable:
          type: boolean
        entityType:
          type: string
        id:
          format: int32
          type: integer
      title: AttributeEntityConfig
      type: object
    FulfillmentAPIAttributeInheritanceRule:
      properties:
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAPICoreAuditInfo'
        id:
          format: int32
          type: integer
        inheritanceMode:
          type: string
        sourceEntityType:
          type: string
        targetEntityType:
          type: string
      title: AttributeInheritanceRule
      type: object
    FulfillmentAPIAttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          type: string
        maxNumericValue:
          format: double
          type: number
        maxStringLength:
          format: int32
          type: integer
        minDateTime:
          format: date-time
          type: string
        minNumericValue:
          format: double
          type: number
        minStringLength:
          format: int32
          type: integer
        regularExpression:
          type: string
      title: AttributeValidation
      type: object
    FulfillmentAPIAttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/FulfillmentAPIAttributeValueLocalizedContent'
        isHidden:
          type: boolean
        sequence:
          format: int32
          type: integer
        value:
          type: string
      required:
        - value
      title: AttributeVocabularyValue
      type: object
    FulfillmentAPICoreAuditInfo:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: CoreAuditInfo
      type: object
    FulfillmentAPIAttributeValueLocalizedContent:
      properties:
        localeCode:
          type: string
        value:
          type: string
      required:
        - localeCode
        - value
      title: AttributeValueLocalizedContent
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````